multi-platform build script and component settings;
authorwenzelm
Fri, 27 Apr 2012 20:10:09 +0200
changeset 47799 0d5773841bc4
parent 47798 03ab3bd78282
child 47800 608efebec5b8
multi-platform build script and component settings;
Admin/exec_process/build
Admin/exec_process/etc/settings
Admin/exec_process/mk
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/Admin/exec_process/build	Fri Apr 27 20:10:09 2012 +0200
@@ -0,0 +1,53 @@
+#!/usr/bin/env bash
+#
+# Multi-platform build script
+
+THIS="$(cd "$(dirname "$0")"; pwd)"
+PRG="$(basename "$0")"
+
+
+# diagnostics
+
+function usage()
+{
+  echo
+  echo "Usage: $PRG TARGET"
+  echo
+  exit 1
+}
+
+function fail()
+{
+  echo "$1" >&2
+  exit 2
+}
+
+
+# command line args
+
+[ "$#" -eq 0 ] && usage
+TARGET="$1"; shift
+
+[ "$#" -eq 0 ] || usage
+
+
+# main
+
+mkdir -p "$TARGET"
+
+case "$TARGET" in
+  x86_64-linux)
+    cc -m64 exec_process.c -o "$TARGET/exec_process"
+    ;;
+  x86-linux)
+    cc -m32 exec_process.c -o "$TARGET/exec_process"
+    ;;
+  x86-cygwin)
+    cc exec_process.c -o "$TARGET/exec_process.exe"
+    ;;
+  *)
+    cc exec_process.c -o "$TARGET/exec_process"
+    ;;
+esac
+
+
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/Admin/exec_process/etc/settings	Fri Apr 27 20:10:09 2012 +0200
@@ -0,0 +1,3 @@
+# -*- shell-script -*- :mode=shellscript:
+
+EXEC_PROCESS="$COMPONENT/${ISABELLE_PLATFORM64:-$ISABELLE_PLATFORM}/exec_process"
--- a/Admin/exec_process/mk	Fri Apr 27 19:54:05 2012 +0200
+++ /dev/null	Thu Jan 01 00:00:00 1970 +0000
@@ -1,3 +0,0 @@
-#!/bin/bash
-
-cc exec_process.c -o exec_process